Upstream information

CVE-2011-1709 at MITRE

Description

GNOME Display Manager (gdm) before 2.32.2, when glib 2.28 is used, enables execution of a web browser with the uid of the gdm account, which allows local users to gain privileges via vectors involving the x-scheme-handler/http MIME type.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.2
Vector AV:L/AC:L/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entry: 694858 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • gdm >= 3.10.0.1-13.3
  • gdm-branding-upstream >= 3.10.0.1-13.3
  • gdm-lang >= 3.10.0.1-13.3
  • gdmflexiserver >= 3.10.0.1-13.3
  • libgdm1 >= 3.10.0.1-13.3
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-13.3
Patchnames:
SUSE Linux Enterprise Desktop 12 GA gdm
SUSE Linux Enterprise Desktop 12 SP1
  • gdm >= 3.10.0.1-23.1
  • gdm-branding-upstream >= 3.10.0.1-23.1
  • gdm-lang >= 3.10.0.1-23.1
  • gdmflexiserver >= 3.10.0.1-23.1
  • libgdm1 >= 3.10.0.1-23.1
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-23.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA gdm
SUSE Linux Enterprise Desktop 12 SP2
  • gdm >= 3.10.0.1-52.5
  • gdm-lang >= 3.10.0.1-52.5
  • gdmflexiserver >= 3.10.0.1-52.5
  • libgdm1 >= 3.10.0.1-52.5
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gdm
SUSE Linux Enterprise Desktop 12 SP3
  • gdm >= 3.10.0.1-52.5
  • gdm-lang >= 3.10.0.1-52.5
  • gdmflexiserver >= 3.10.0.1-52.5
  • libgdm1 >= 3.10.0.1-52.5
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gdm
SUSE Linux Enterprise Module for Desktop Applications 15
  • gdm >= 3.26.2.1-11.17
  • gdm-devel >= 3.26.2.1-11.17
  • gdm-lang >= 3.26.2.1-11.17
  • gdmflexiserver >= 3.26.2.1-11.17
  • libgdm1 >= 3.26.2.1-11.17
  • typelib-1_0-Gdm-1_0 >= 3.26.2.1-11.17
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA gdm
SUSE Linux Enterprise Server 12
  • gdm >= 3.10.0.1-13.3
  • gdm-branding-upstream >= 3.10.0.1-13.3
  • gdm-lang >= 3.10.0.1-13.3
  • gdmflexiserver >= 3.10.0.1-13.3
  • libgdm1 >= 3.10.0.1-13.3
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-13.3
Patchnames:
SUSE Linux Enterprise Server 12 GA gdm
SUSE Linux Enterprise Server 12 SP1
  • gdm >= 3.10.0.1-23.1
  • gdm-branding-upstream >= 3.10.0.1-23.1
  • gdm-lang >= 3.10.0.1-23.1
  • gdmflexiserver >= 3.10.0.1-23.1
  • libgdm1 >= 3.10.0.1-23.1
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-23.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA gdm
SUSE Linux Enterprise Server 12 SP2
  • gdm >= 3.10.0.1-52.5
  • gdm-lang >= 3.10.0.1-52.5
  • gdmflexiserver >= 3.10.0.1-52.5
  • libgdm1 >= 3.10.0.1-52.5
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA gdm
SUSE Linux Enterprise Server 12 SP3
  • gdm >= 3.10.0.1-52.5
  • gdm-lang >= 3.10.0.1-52.5
  • gdmflexiserver >= 3.10.0.1-52.5
  • libgdm1 >= 3.10.0.1-52.5
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gdm
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gdm >= 3.10.0.1-52.5
  • gdm-lang >= 3.10.0.1-52.5
  • gdmflexiserver >= 3.10.0.1-52.5
  • libgdm1 >= 3.10.0.1-52.5
  • typelib-1_0-Gdm-1_0 >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA gdm
SUSE Linux Enterprise Software Development Kit 12
  • gdm-devel >= 3.10.0.1-13.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA gdm-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • gdm-devel >= 3.10.0.1-23.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA gdm-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gdm-devel >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA gdm-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • gdm-devel >= 3.10.0.1-52.5
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA gdm-devel
openSUSE 11.4
  • gdm >= 2.32.0-9.16.1
  • gdm-branding-upstream >= 2.32.0-9.16.1
  • gdm-lang >= 2.32.0-9.16.1
  • gnome-applets-gdm >= 2.32.0-9.16.1
openSUSE 11.4
  • gdm >= 2.32.0-9.16.1
  • gdm-branding-upstream >= 2.32.0-9.16.1
  • gdm-debuginfo >= 2.32.0-9.16.1
  • gdm-debugsource >= 2.32.0-9.16.1
  • gdm-lang >= 2.32.0-9.16.1
  • gnome-applets-gdm >= 2.32.0-9.16.1
  • gnome-applets-gdm-debuginfo >= 2.32.0-9.16.1
Patchnames:
gdm
openSUSE Leap 15.0
  • gdm >= 3.26.2.1-lp150.10.1
  • gdm-lang >= 3.26.2.1-lp150.10.1
  • gdmflexiserver >= 3.26.2.1-lp150.10.1
  • libgdm1 >= 3.26.2.1-lp150.10.1
  • typelib-1_0-Gdm-1_0 >= 3.26.2.1-lp150.10.1
Patchnames:
openSUSE Leap 15.0 GA gdm
openSUSE Leap 42.1
  • gdm >= 3.14.2-1.2
  • gdm-lang >= 3.14.2-1.2
  • gdmflexiserver >= 3.14.2-1.2
  • libgdm1 >= 3.14.2-1.2
  • typelib-1_0-Gdm-1_0 >= 3.14.2-1.2
Patchnames:
openSUSE Leap 42.1 GA gdm
openSUSE Leap 42.2
  • gdm >= 3.14.2-16.1
  • gdm-lang >= 3.14.2-16.1
  • gdmflexiserver >= 3.14.2-16.1
  • libgdm1 >= 3.14.2-16.1
  • typelib-1_0-Gdm-1_0 >= 3.14.2-16.1
Patchnames:
openSUSE Leap 42.2 GA gdm
openSUSE Leap 42.3
  • gdm >= 3.14.2-18.3
  • gdm-lang >= 3.14.2-18.3
  • gdmflexiserver >= 3.14.2-18.3
  • libgdm1 >= 3.14.2-18.3
  • typelib-1_0-Gdm-1_0 >= 3.14.2-18.3
Patchnames:
openSUSE Leap 42.3 GA gdm
openSUSE Tumbleweed
  • gdm >= 3.22.1-1.2
  • gdm-branding-upstream >= 3.22.1-1.2
  • gdm-devel >= 3.22.1-1.2
  • gdm-lang >= 3.22.1-1.2
  • gdmflexiserver >= 3.22.1-1.2
  • libgdm1 >= 3.22.1-1.2
  • typelib-1_0-Gdm-1_0 >= 3.22.1-1.2
Patchnames:
openSUSE Tumbleweed GA gdm